ibase_pconnect
ibase_query
Firebird/InterBase Functions
PHP Manual

# ibase_prepare

Prepare a query for later binding of parameter placeholders and execution

### Description

resource ibase_prepare ( string `$query` )
resource ibase_prepare ( resource `$link_identifier` , string `$query` )
resource ibase_prepare ( resource `$link_identifier` , string `$trans` , string `$query` )

Prepare a query for later binding of parameter placeholders and execution (via ibase_execute).

### Parameters

`query`

  An InterBase query.

### Return Values

Returns a prepared query handle, or `FALSE` on error.